# Copyright (C) YEAR This_file_is_part_of_KDE
# This file is distributed under the same license as the PACKAGE package.
#
# Danishka Navin <danishka@gmail.com>, 2009.
msgid ""
msgstr ""
"Project-Id-Version: kcmkeyboard\n"
"Report-Msgid-Bugs-To: https://bugs.kde.org\n"
"POT-Creation-Date: 2023-09-30 01:42+0000\n"
"PO-Revision-Date: 2009-12-07 14:44+0530\n"
"Last-Translator: Danishka Navin <danishka@gmail.com>\n"
"Language-Team: American English <danishka@gmail.com>\n"
"Language: si\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1);\n"
"X-Generator: Lokalize 1.0\n"

#, kde-format
msgctxt "NAME OF TRANSLATORS"
msgid "Your names"
msgstr ""

#, kde-format
msgctxt "EMAIL OF TRANSLATORS"
msgid "Your emails"
msgstr ""

#: bindings.cpp:24
#, fuzzy, kde-format
#| msgid "Keyboard Repeat"
msgid "Keyboard Layout Switcher"
msgstr "යතුරුපුවරු නැවත යෙදීම"

#: bindings.cpp:26
#, kde-format
msgid "Switch to Next Keyboard Layout"
msgstr ""

#: bindings.cpp:30
#, kde-format
msgid "Switch to Last-Used Keyboard Layout"
msgstr ""

#: bindings.cpp:60
#, kde-format
msgid "Switch keyboard layout to %1"
msgstr ""

#: flags.cpp:77
#, kde-format
msgctxt "layout - variant"
msgid "%1 - %2"
msgstr ""

#. i18n: ectx: property (windowTitle), widget (QDialog, AddLayoutDialog)
#: kcm_add_layout_dialog.ui:14
#, fuzzy, kde-format
#| msgid "Keyboard Repeat"
msgid "Add Layout"
msgstr "යතුරුපුවරු නැවත යෙදීම"

#. i18n: ectx: property (placeholderText), widget (QLineEdit, layoutSearchField)
#: kcm_add_layout_dialog.ui:20
#, kde-format
msgid "Search…"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, shortcutLabel)
#: kcm_add_layout_dialog.ui:45
#, kde-format
msgid "Shortcut:"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, labelLabel)
#: kcm_add_layout_dialog.ui:55
#, kde-format
msgid "Label:"
msgstr ""

#. i18n: ectx: property (text), widget (QPushButton, prevbutton)
#. i18n: ectx: property (text), widget (QPushButton, previewButton)
#: kcm_add_layout_dialog.ui:76 kcm_keyboard.ui:338
#, kde-format
msgid "Preview"
msgstr ""

#. i18n: ectx: attribute (title), widget (QWidget, tabHardware)
#: kcm_keyboard.ui:18
#, kde-format
msgid "Hardware"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, label_4)
#: kcm_keyboard.ui:33
#, fuzzy, kde-format
#| msgid "Keyboard Repeat"
msgid "Keyboard &model:"
msgstr "යතුරුපුවරු නැවත යෙදීම"

#. i18n: ectx: property (whatsThis), widget (QComboBox, keyboardModelComboBox)
#: kcm_keyboard.ui:53
#, kde-format
msgid ""
"Here you can choose a keyboard model. This setting is independent of your "
"keyboard layout and refers to the \"hardware\" model, i.e. the way your "
"keyboard is manufactured. Modern keyboards that come with your computer "
"usually have two extra keys and are referred to as \"104-key\" models, which "
"is probably what you want if you do not know what kind of keyboard you "
"have.\n"
msgstr ""

#. i18n: ectx: attribute (title), widget (QWidget, tabLayouts)
#: kcm_keyboard.ui:94
#, fuzzy, kde-format
#| msgid "&Enable keyboard repeat"
msgid "Layouts"
msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#. i18n: ectx: property (whatsThis), widget (QGroupBox, switchingPolicyGroupBox)
#: kcm_keyboard.ui:102
#, kde-format
msgid ""
"If you select \"Application\" or \"Window\" switching policy, changing the "
"keyboard layout will only affect the current application or window."
msgstr ""

#. i18n: ectx: property (title), widget (QGroupBox, switchingPolicyGroupBox)
#: kcm_keyboard.ui:105
#, kde-format
msgid "Switching Policy"
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, switchByGlobalRadioBtn)
#: kcm_keyboard.ui:111
#, kde-format
msgid "&Global"
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, switchByDesktopRadioBtn)
#: kcm_keyboard.ui:124
#, kde-format
msgid "&Desktop"
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, switchByApplicationRadioBtn)
#: kcm_keyboard.ui:134
#, kde-format
msgid "&Application"
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, switchByWindowRadioBtn)
#: kcm_keyboard.ui:144
#, kde-format
msgid "&Window"
msgstr ""

#. i18n: ectx: property (title), widget (QGroupBox, shortcutsGroupBox)
#: kcm_keyboard.ui:157
#, fuzzy, kde-format
#| msgid "&Enable keyboard repeat"
msgid "Shortcuts for Switching Layout"
msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#. i18n: ectx: property (text), widget (QLabel, label)
#: kcm_keyboard.ui:163
#, kde-format
msgid "Main shortcuts:"
msgstr ""

#. i18n: ectx: property (whatsThis), widget (QPushButton, xkbGrpShortcutBtn)
#: kcm_keyboard.ui:176
#, kde-format
msgid ""
"This is a shortcut for switching layouts which is handled by X.org. It "
"allows modifier-only shortcuts."
msgstr ""

#. i18n: ectx: property (text), widget (QPushButton, xkbGrpShortcutBtn)
#. i18n: ectx: property (text), widget (QPushButton, xkb3rdLevelShortcutBtn)
#: kcm_keyboard.ui:179 kcm_keyboard.ui:209
#, kde-format
msgctxt "no shortcut defined"
msgid "None"
msgstr ""

#. i18n: ectx: property (text), widget (QToolButton, xkbGrpClearBtn)
#. i18n: ectx: property (text), widget (QToolButton, xkb3rdLevelClearBtn)
#: kcm_keyboard.ui:186 kcm_keyboard.ui:216
#, kde-format
msgid "…"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, label_3)
#: kcm_keyboard.ui:193
#, kde-format
msgid "3rd level shortcuts:"
msgstr ""

#. i18n: ectx: property (whatsThis), widget (QPushButton, xkb3rdLevelShortcutBtn)
#: kcm_keyboard.ui:206
#, kde-format
msgid ""
"This is a shortcut for switching to a third level of the active layout (if "
"it has one) which is handled by X.org. It allows modifier-only shortcuts."
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, label_2)
#: kcm_keyboard.ui:223
#, kde-format
msgid "Alternative shortcut:"
msgstr ""

#. i18n: ectx: property (whatsThis), widget (KKeySequenceWidget, kdeKeySequence)
#: kcm_keyboard.ui:236
#, kde-format
msgid ""
"This is a shortcut for switching layouts. It does not support modifier-only "
"shortcuts and also may not work in some situations (e.g. if popup is active "
"or from screensaver)."
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, label_6)
#: kcm_keyboard.ui:246
#, kde-format
msgid "Last used shortcut:"
msgstr ""

#. i18n: ectx: property (whatsThis), widget (KKeySequenceWidget, toggleLastUsedLayoutKeySequence)
#: kcm_keyboard.ui:259
#, kde-format
msgid ""
"This shortcut allows for fast switching between two layouts, by always "
"switching to the last-used one."
msgstr ""

#. i18n: ectx: property (title), widget (QGroupBox, kcfg_configureLayouts)
#: kcm_keyboard.ui:284
#, fuzzy, kde-format
#| msgid "&Enable keyboard repeat"
msgid "Configure layouts"
msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#. i18n: ectx: property (text), widget (QPushButton, addLayoutBtn)
#: kcm_keyboard.ui:298
#, kde-format
msgid "Add"
msgstr ""

#. i18n: ectx: property (text), widget (QPushButton, removeLayoutBtn)
#: kcm_keyboard.ui:308
#, kde-format
msgid "Remove"
msgstr ""

#. i18n: ectx: property (text), widget (QPushButton, moveUpBtn)
#: kcm_keyboard.ui:318
#, kde-format
msgid "Move Up"
msgstr ""

#. i18n: ectx: property (text), widget (QPushButton, moveDownBtn)
#: kcm_keyboard.ui:328
#, kde-format
msgid "Move Down"
msgstr ""

#. i18n: ectx: property (text), widget (QCheckBox, layoutLoopingCheckBox)
#: kcm_keyboard.ui:373
#, fuzzy, kde-format
#| msgid "&Enable keyboard repeat"
msgid "Spare layouts"
msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#. i18n: ectx: property (text), widget (QLabel, label_5)
#: kcm_keyboard.ui:405
#, kde-format
msgid "Main layout count:"
msgstr ""

#. i18n: ectx: attribute (title), widget (QWidget, tabAdvanced)
#: kcm_keyboard.ui:435
#, kde-format
msgid "Advanced"
msgstr ""

#. i18n: ectx: property (text), widget (QCheckBox, kcfg_resetOldXkbOptions)
#: kcm_keyboard.ui:441
#, fuzzy, kde-format
#| msgid "&Enable keyboard repeat"
msgid "&Configure keyboard options"
msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#: kcm_keyboard_widget.cpp:209
#, kde-format
msgctxt "unknown keyboard model vendor"
msgid "Unknown"
msgstr ""

#: kcm_keyboard_widget.cpp:211
#, kde-format
msgctxt "vendor | keyboard model"
msgid "%1 | %2"
msgstr ""

#: kcm_keyboard_widget.cpp:655
#, kde-format
msgctxt "no shortcuts defined"
msgid "None"
msgstr ""

#: kcm_keyboard_widget.cpp:669
#, kde-format
msgid "%1 shortcut"
msgid_plural "%1 shortcuts"
msgstr[0] ""
msgstr[1] ""

#: kcm_view_models.cpp:200
#, kde-format
msgctxt "layout map name"
msgid "Map"
msgstr ""

#: kcm_view_models.cpp:200
#, kde-format
msgid "Layout"
msgstr ""

#: kcm_view_models.cpp:200
#, kde-format
msgid "Variant"
msgstr ""

#: kcm_view_models.cpp:200
#, kde-format
msgid "Label"
msgstr ""

#: kcm_view_models.cpp:200
#, kde-format
msgid "Shortcut"
msgstr ""

#: kcm_view_models.cpp:273
#, kde-format
msgctxt "variant"
msgid "Default"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, label_2)
#: kcmmiscwidget.ui:31
#, kde-format
msgid "When a key is held:"
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, accentMenuRadioButton)
#: kcmmiscwidget.ui:38
#, kde-format
msgid "&Show accented and similar characters "
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, repeatRadioButton)
#: kcmmiscwidget.ui:45
#, kde-format
msgid "&Repeat the key"
msgstr ""

#. i18n: ectx: property (text), widget (QRadioButton, nothingRadioButton)
#: kcmmiscwidget.ui:52
#, kde-format
msgid "&Do nothing"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, label)
#: kcmmiscwidget.ui:66
#, kde-format
msgid "Test area:"
msgstr ""

#. i18n: ectx: property (toolTip), widget (QLineEdit, lineEdit)
#: kcmmiscwidget.ui:73
#, kde-format
msgid ""
"Allows to test keyboard repeat and click volume (just don't forget to apply "
"the changes)."
msgstr ""

#. i18n: ectx: property (whatsThis), widget (QGroupBox, numlockGroupBox)
#: kcmmiscwidget.ui:82
#, fuzzy, kde-format
#| msgid ""
#| "If supported, this option allows you to setup the state of NumLock after "
#| "KDE startup.<p>You can configure NumLock to be turned on or off, or "
#| "configure KDE not to set NumLock state."
msgid ""
"If supported, this option allows you to setup the state of NumLock after "
"Plasma startup.<p>You can configure NumLock to be turned on or off, or "
"configure Plasma not to set NumLock state."
msgstr ""
"සහාය දක්වයි නම්, මෙම විකල්පය ඔබට KDE ආරමභයෙන් පසු NumLock හී තත්වය සැකසීමට ඉඩ දේ. <p> "
"ඔබට Numlock සක්‍රීයව හෝ අක්‍රීයව තැබිය හැක. නැතහොත් Numlock තත්වයක් නොසැකසීම සඳහා KDE "
"සකසන්න. "

#. i18n: ectx: property (title), widget (QGroupBox, numlockGroupBox)
#: kcmmiscwidget.ui:85
#, fuzzy, kde-format
#| msgid "NumLock on KDE Startup"
msgid "NumLock on Plasma Startup"
msgstr "KDE ආරම්භයේදී Numlock"

#. i18n: ectx: property (text), widget (QRadioButton, radioButton1)
#: kcmmiscwidget.ui:97
#, kde-format
msgid "T&urn on"
msgstr "සක්‍රීය  කරන්න (&u)"

#. i18n: ectx: property (text), widget (QRadioButton, radioButton2)
#: kcmmiscwidget.ui:104
#, fuzzy, kde-format
#| msgid "Turn o&ff"
msgid "&Turn off"
msgstr "අක්‍රීය කරන්න (&f)"

#. i18n: ectx: property (text), widget (QRadioButton, radioButton3)
#: kcmmiscwidget.ui:111
#, kde-format
msgid "Leave unchan&ged"
msgstr "වෙනස් නොකර තබන්න (&g)"

#. i18n: ectx: property (text), widget (QLabel, lblRate)
#: kcmmiscwidget.ui:148
#, kde-format
msgid "&Rate:"
msgstr "ප්‍රමාණය (&R):"

#. i18n: ectx: property (whatsThis), widget (QSlider, delaySlider)
#. i18n: ectx: property (whatsThis), widget (QSpinBox, kcfg_repeatDelay)
#: kcmmiscwidget.ui:164 kcmmiscwidget.ui:202
#, kde-format
msgid ""
"If supported, this option allows you to set the delay after which a pressed "
"key will start generating keycodes. The 'Repeat rate' option controls the "
"frequency of these keycodes."
msgstr ""
"සහාය දක්වයි නම්. මෙම විකල්පය ඔබට යතුරක් එබීම හා යතුරු කේත ජනනය වීම අතර පමාව සැකසීමට ඉඩ "
"දේ. 'නැවත යෙදීමේ ප්‍රමාණය' මගින් එම යතුරු කේතයෙහි සංඛ්‍යාතය හසුරුවයි."

#. i18n: ectx: property (whatsThis), widget (QDoubleSpinBox, kcfg_repeatRate)
#. i18n: ectx: property (whatsThis), widget (QSlider, rateSlider)
#: kcmmiscwidget.ui:192 kcmmiscwidget.ui:212
#, kde-format
msgid ""
"If supported, this option allows you to set the rate at which keycodes are "
"generated while a key is pressed."
msgstr ""
"සහාය දක්වයි නම්, මෙම විකල්පය ඔබට යතුරක් එබූ විට ජනනය විය යුතු කේත පරිමානය සැකසිය හැක."

#. i18n: ectx: property (suffix), widget (QDoubleSpinBox, kcfg_repeatRate)
#: kcmmiscwidget.ui:195
#, kde-format
msgid " repeats/s"
msgstr ""

#. i18n: ectx: property (suffix), widget (QSpinBox, kcfg_repeatDelay)
#: kcmmiscwidget.ui:205
#, kde-format
msgid " ms"
msgstr ""

#. i18n: ectx: property (text), widget (QLabel, lblDelay)
#: kcmmiscwidget.ui:246
#, kde-format
msgid "&Delay:"
msgstr "පමාව (&D):"

#: tastenbrett/main.cpp:52
#, fuzzy, kde-format
#| msgid "Keyboard Repeat"
msgctxt "app display name"
msgid "Keyboard Preview"
msgstr "යතුරුපුවරු නැවත යෙදීම"

#: tastenbrett/main.cpp:54
#, fuzzy, kde-format
#| msgid "Keyboard Repeat"
msgctxt "app description"
msgid "Keyboard layout visualization"
msgstr "යතුරුපුවරු නැවත යෙදීම"

#: tastenbrett/main.cpp:139
#, kde-format
msgctxt "@label"
msgid ""
"The keyboard geometry failed to load. This often indicates that the selected "
"model does not support a specific layout or layout variant. This problem "
"will likely also present when you try to use this combination of model, "
"layout and variant."
msgstr ""

#, fuzzy
#~| msgid "&Enable keyboard repeat"
#~ msgid "Show for single layout"
#~ msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#, fuzzy
#~| msgid "Keyboard Repeat"
#~ msgctxt "tooltip title"
#~ msgid "Keyboard Layout"
#~ msgstr "යතුරුපුවරු නැවත යෙදීම"

#, fuzzy
#~| msgid "&Enable keyboard repeat"
#~ msgid "Configure Layouts..."
#~ msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#~ msgid "Keyboard Repeat"
#~ msgstr "යතුරුපුවරු නැවත යෙදීම"

#~ msgid "Turn o&ff"
#~ msgstr "අක්‍රීය කරන්න (&f)"

#, fuzzy
#~| msgid "Leave unchan&ged"
#~ msgid "&Leave unchanged"
#~ msgstr "වෙනස් නොකර තබන්න (&g)"

#, fuzzy
#~| msgid "&Enable keyboard repeat"
#~ msgid "Configure..."
#~ msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"

#~ msgid ""
#~ "If supported, this option allows you to hear audible clicks from your "
#~ "computer's speakers when you press the keys on your keyboard. This might "
#~ "be useful if your keyboard does not have mechanical keys, or if the sound "
#~ "that the keys make is very soft.<p>You can change the loudness of the key "
#~ "click feedback by dragging the slider button or by clicking the up/down "
#~ "arrows on the spin box. Setting the volume to 0% turns off the key click."
#~ msgstr ""
#~ "සහාය දක්වයි නම්. මෙම විකල්පය ඔබට යතුරක් එබූ විට ඔබේ පරිගණකයේ ශ්‍රව්‍ය උපකරණ තුලින් ක්ලික් හඩක් "
#~ "ඇසීමට සලස්වයි. මෙය ඔබේ පරිගණකයේ යාන්ත්‍රික යතුරු නොමැතිවිට  හෝ ඒවායේ හඩ ඉතා මෘදු විට ප්‍"
#~ "රයෝජනවත්  විය හැක. <p> කොටුව තුළ ඇති ස්ලයිඩරය ගෙන යාමෙන් හෝ ඉහළ/පහළ යතුරු භාවිතයෙන් "
#~ "යතුරු ක්ලිකයේ හඩ පාලනය කල හැක. ශබ්දය 0% ලෙස සැකසීමෙන් යතුරු ක්ලික් ශබ්දය වසාදමයි. "

#, fuzzy
#~| msgid "Key click &volume:"
#~ msgid "&Key click volume:"
#~ msgstr "යතුරු ක්ලික ශබ්දය (&v) :"

#~ msgid ""
#~ "If you check this option, pressing and holding down a key emits the same "
#~ "character over and over again. For example, pressing and holding down the "
#~ "Tab key will have the same effect as that of pressing that key several "
#~ "times in succession: Tab characters continue to be emitted until you "
#~ "release the key."
#~ msgstr ""
#~ "ඔබ මෙම විකල්පය සක්‍රීය කරයි නම්, යතුරක් ඔබා තැබීම එම අකුර දිගින් දිගටම ඇතුළුවීමටහේතුවේ. "
#~ "උදාහරණයක් ලෙස, ටැබ් යතුර ඔබා තැබීම මගින් එය දිගින් දිගටම එබීමෙන්  ලැබෙන ප්‍රථිපලයට සමාන ප්‍"
#~ "රථිපලයක් ලැබිය හැක. එනම් ඔබ එය නිදහස් කරන තුරු ටැබ් යතුරෙන් කෙරෙන කාර්යය දිගින් දිගටම "
#~ "සිදුවේ."

#~ msgid "&Enable keyboard repeat"
#~ msgstr "යතුරුපුවරු නැවත යෙදීම සක්‍රීය කරන්න (&E)"
